<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="../wtp.xsl"?>
<html>
	<head>
		<title>the javaserver faces tools subproject</title>
	</head>
	<body>

		<h1>jsf</h1>
		<h2>Project Roadmap</h2>
		<p>
Milestones:
		</p>
		<ul>
			<li>
				<strong>
					<a href="./features/FeatureSpecs-M1.html">
						M1 - December, 16, 2005
					</a>
				</strong>
				: WTP 1.0 based. Basic Application Configuration Editor
				and support for end-to-end JSF application developement
				and deployment.
			</li>
			<li>
				<strong>M5 - March 13, 2006</strong>
				: Milestone release for EclipseCon 2006. Based on WTP1.5 M5
				Milestone.
			</li>
			<li>
				<strong>RC2 - May 10, 2006</strong>
				: Feature complete for Faces Config Editor. Includes integration between the Faces Config Editor and the Faces Config EMF model.
			</li>
			<li>
				<strong>RC3 - May 30, 2006</strong>
				: New Features in JSF-JSP Source Editor.
			</li>
			<li>
				<strong>RC4 - June 7, 2006</strong>
				: Feature freeze. Only bug fixes and documentation allowed beyond this date.
			</li>
			<li>
				<strong>RC5 - June 20, 2006			
				</strong>
				: Code freeze. Only documentation changes allowed beyond this date.
			</li>
			<li>
				<strong>
					<a href="./features/FeatureSpecs-1.5.html">
						0.5.0 Release - June, 30, 2006
					</a>
				</strong>
				: Released as part of the Callisto release.  Eclipse 3.2 and WTP 1.5.0.
			</li>
		</ul>
	</body>
</html>
